Bug 463141 - Volume keys on Thinkpad z61t don't work
Volume keys on Thinkpad z61t don't work
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F10Target
  Show dependency treegraph
Reported: 2008-09-22 04:12 EDT by Tomasz Torcz
Modified: 2009-12-18 01:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 01:25:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomasz Torcz 2008-09-22 04:12:46 EDT
(per https://www.redhat.com/archives/fedora-devel-list/2008-September/msg01899.html )

Description of problem:
Pressing volume/mute buttons don't produce any output in "xev" nor dmesg.

Version-Release number of selected component (if applicable):
Linux sandworm.fordon.pl.eu.org 2.6.27-0.329.rc6.git2.fc10.i686 #1 SMP Mon Sep 15 19:33:33 EDT 2008 i686 i686 i386 GNU/Linux

How reproducible:

Steps to Reproduce:
1. Press volume up/down or mute button
Actual results:
No result.

Expected results:
Change of volume.

Additional info:
Those keys work in Windows and Ubuntu (which uses tpb hack), so they are not damaged.
Comment 1 Bug Zapper 2008-11-25 22:10:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 2 Michael Hughes 2009-01-01 01:54:51 EST
I'm not sure exactly how this is supposed to be implemented, but lshal --monitor  or xev catch an event when vol-up/vol-down/mute are pressed on my T43. Works fine in Ubuntu 8.10.
Comment 3 Michael Hughes 2009-01-01 01:57:27 EST
Sorry for typo:

I'm not sure exactly how this is supposed to be implemented, but neither lshal --monitor nor xev catch an event when vol-up/vol-down/mute are pressed on my T43. Works fine in Ubuntu 8.10.
Comment 4 Gabriel Schulhof 2009-04-21 03:50:56 EDT
Volume Up/Down and Mute do not work on my ThinkPad T41 running F10, either.
Comment 5 Gabriel Schulhof 2009-04-21 03:52:58 EDT
P.S.: My T41's uname -r is:
Comment 6 Chuck Ebbert 2009-04-21 08:20:54 EDT
Please try a 2.6 29 kernel from updates-testing. To install it run this command:

   yum --enablerepo=updates-testing update kernel
Comment 7 Gabriel Schulhof 2009-04-21 10:41:07 EDT
I'm afraid that didn't make it work. I'll take the cool-looking graphical startup though :o)
Comment 8 Bug Zapper 2009-11-18 04:17:07 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 9 Bug Zapper 2009-12-18 01:25:14 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.